Subject: [DNSOP] resolver-info and capport, pvds, etc

From: Erik Kline <[email-masked]>
Date: Tue, 23 Jul 2019 11:26:36 -0400

A few thoughts about resolver-info before I forget.

Capport API _could_ contain some rich resolver info, but I suspect it
really only belongs there if it's import to the captive portal interaction
phase (co-chair both on and off).

There _could also_ be some rich resolver info in the PVD
additional information, but IMHO it's a poor substitute to learning
information from the resolver itself (i.e. prefer fate-sharing).

WRT the well-known name to get a response from a middle resolver: there is
no guarantee that the client has a communications path to mid-level
resolver.  So the resolver info may only be usable by the forwarders
themselves and not to the client.  I think the hop-by-hop DNS lookup is
probably a separate issue to be addressed separately.

2 cents,
-ek